#ifndef __MOZ_PREF_H_
#define __MOZ_PREF_H_

/* save prefs at exit */
void moz_pref_save(void);

/* clear pref */
void moz_pref_clear(const char *name);

/* set value */
void moz_pref_set_char(const char *name, const char *value);
void moz_pref_set_bool(const char *name, const int value);
void moz_pref_set_int(const char *name, const int value);

/* get value */
void moz_pref_get_char(const char *name, char **value);
void moz_pref_get_bool(const char *name, int *value);
void moz_pref_get_int(const char *name, int *value);

/* pref settings */
#define LT_HOMEPAGE "browser.startup.homepage"
#define LT_USERAGENT "general.useragent.misc"
#define LT_FONTDEFAULT "font.default"

#define LT_JAVA "security.enable_java"
#define LT_JSCRIPT "javascript.enabled"

#define LT_DETECTOR "intl.charset.detector"
#define LT_DEFCHARSET "intl.charset.default"

/* cache stuff */
#define LT_CACHEDIR "browser.cache.directory"
/* 0 - once per session 1 - every time 2 - never 3 - automatic */
#define LT_CACHEFREQ "browser.cache.check_doc_frequency"

/* light-specific prefs */
#define LT_DOWNLOADER "light.download.handler"
#define LT_PIXMAPS "light.toolbar.pixmaps"
#define LT_WIN_WIDTH "light.chrome.width"
#define LT_WIN_HEIGHT "light.chrome.height"
#define LT_FIFO_HEIGHT "light.chrome.fifoheight"

/* proxy stuff */
#define PROXY_TYPE "network.proxy.type" /* 0 - automatic 1 - manual */
#define PROXY_NOPROXY "network.proxy.no_proxies_on"

#define PROXY_FTP "network.proxy.ftp"
#define PROXY_FTP_PORT "network.proxy.ftp_port"

#define PROXY_GOPHER "network.proxy.gopher"
#define PROXY_GOPHER_PORT "network.proxy.gopher_port"

#define PROXY_HTTP "network.proxy.http"
#define PROXY_HTTP_PORT "network.proxy.http_port"

#define PROXY_SSL "network.proxy.ssl"
#define PROXY_SSL_PORT "network.proxy.ssl_port"

#define PROXY_SOCKS "network.proxy.socks"
#define PROXY_SOCKS_PORT "network.proxy.socks_port"

#endif /* __MOZ_PREF_H_ */
